<?php

	if ( post_password_required() ) {
		echo '<p class="nopassword">' . esc_html__( 'This post is password protected. Enter the password to view any comments.', 'photology-themes') . '</p>';
		return ;
	}


	function j_comment_form($i) {

		$commenter = wp_get_current_commenter();
		$user = wp_get_current_user();
		$user_identity = $user->exists() ? $user->display_name : '';

		$req = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );

		$i['author'] =  '<p class="comment-form-author"><span class="comment-author-wrapper comment-input-wrapper">' . '<label for="author">' . esc_html__("Name","photology-themes") . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
		                '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></span></p>';
		$i['email']  =  '<p class="comment-form-email"><span class="comment-email-wrapper comment-input-wrapper"><label for="email">' . esc_html__( 'Email','photology-themes' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
		            	'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></span></p>';
		$i['url']    =  '<p class="comment-form-url"><span class="comment-form-wrapper comment-input-wrapper"><label for="url">' . esc_html__( 'Website','photology-themes' ) . '</label>' .
		            	'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></span></p>';

		return $i;
	}

	add_action('comment_form_default_fields', 'j_comment_form');


	function j_comment_default_form($defaults)
	{

		global $id;
		$post_id = $id;

		$commenter = wp_get_current_commenter();
		$user = wp_get_current_user();
		$user_identity = $user->exists() ? $user->display_name : '';

		$req = get_option( 'require_name_email' );
		$required_text = sprintf( ' ' . esc_html__( 'Required fields are marked %s', 'photology-themes' ) , '<span class="required">*</span>' );

		$newdefaults = array(
			'fields'               => $defaults['fields'],
			'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . esc_html__('Comment', 'photology-themes') . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
			'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.', 'photology-themes' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
			'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'photology-themes' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
			'comment_notes_before' => '<p class="comment-notes">' . esc_html__( 'Your email address will not be published', 'photology-themes' ) . ( $req ? $required_text : '' ) . '</p>',
			'comment_notes_after'  => '<p class="form-allowed-tags">' . sprintf( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s', 'photology-themes' ), ' <code>' . allowed_tags() . '</code>' ) . '</p>',
			'id_form'              => 'commentform',
			'id_submit'            => 'submit',
			'title_reply'          => esc_html__( 'Leave a Reply', 'photology-themes' ),
			'title_reply_to'       => esc_html__( 'Leave a Reply to %s', 'photology-themes' ),
			'cancel_reply_link'    => esc_html__( 'Cancel reply', 'photology-themes' ),
			'label_submit'         => esc_html__( 'Post Comment', 'photology-themes' ),
            'submit_button'        => '<input name="%1$s" type="submit" id="%2$s" class="%3$s" value="%4$s" />',
            'submit_field'         => '<p class="form-submit">%1$s %2$s</p>',
            'class_submit'         => 'submit',
            'name_submit'          => 'submit',
		);

		return $newdefaults;
	}

	add_action('comment_form_defaults', 'j_comment_default_form');

	if ( comments_open() ) {
?>
<div id="comments" class="comment-container">
	<h2><?php echo jeg_get_wordpress_comment() ?></h2>
	<hr>

	<div id="comment-content-container">
		<ul class="commentlist">
			<?php wp_list_comments(array(
				'type'			=> 'all',
				'callback'		=> apply_filters('jeg_comment_callback', 'jeg_comment'),
				'avatar_size'	=> '80'
			)); ?>
		</ul>
		<div class="comment-navigation navigation" >
			<div class='alignleft' style="margin-bottom: 20px;">
				<?php next_comments_link('<span>&laquo;</span> Previous') ?>
			</div>
			<div class='alignright' style="margin-bottom: 20px;">
				<?php previous_comments_link('Next<span>&raquo;</span>') ?>
			</div>
            <div class="clearfix"></div>
		</div>
	</div>


	<?php
		if ( get_option('comment_registration') && !is_user_logged_in() ) :
			echo "<p>" . esc_html__("Please login to comment","photology-themes") . "</p>";
		else :
			comment_form();
		endif; // comment form
	?>
</div>

<?php
	} // if comment open
?>
