!function($) {
    'use strict';

    // Multipost.js
    $('.multipost-input-wrapper input.input-sortable').each(function(){
        $(this).selectize({
            plugins: ['drag_drop', 'remove_button'],
            persist: true,
            create: true,
            hideSelected: true,
            valueField: 'value',
            labelField: 'value',
            render: {
                option: function(item, escape) {
                    var text = item.text;
                    if(text === undefined) {
                        return '<div><span>' + item.value + '</span></div>';
                    } else {
                        return '<div><span>' + text + '</span></div>';
                    }
                }
            },
            load: function(query, callback) {
                if (!query.length || query.length < 3) return callback();
                $.ajax({
                    url: selectize_admin.ajaxurl,
                    type: 'POST',
                    dataType: 'json',
                    data: {
                        'string' : encodeURIComponent(query),
                        'action'  : 'jeg_find_post'
                    },
                    error: function() {
                        callback();
                    },
                    success: function(res) {
                        console.log(res);
                        callback(res);
                    }
                });
            }
        });
    });

    // Number.js
    $( '.number-input-wrapper input[type=text]' ).each(function(){
        var element = this,
            min     = $(this).attr('min'),
            max     = $(this).attr('max'),
            step    = $(this).attr('step');

        $( element ).spinner({
            min: min,
            max: max,
            step: step
        });
    });

    // Checkblock.js
    $('.wp-tab-panel.vc_checkblock').each(function(){
        var parent = this;
        var input = $(parent).find('.wpb-input');

        $(this).find('.checkblock').bind('click', function(){
            var result = [];
            $(parent).find('.checkblock').each(function(){
                if($(this).is(":checked")) {
                    result.push($(this).val());
                }
            });
            $(input).val(result);
        });
    });

    // Multiselect.js
    $('.mulitselect-input input.input-sortable').each(function(){
        var $parent = $(this).parent();
        var options = $parent.find('.data-option');
        options = JSON.parse(options.text());

        $(this).selectize({
            plugins: ['drag_drop', 'remove_button'],
            options: options,
            persist: true,
            create: false,
            hideSelected: false,
            render: {
                option: function(item, escape) {
                    return '<div class="' + item.class + '"><span>' + item.text + '</span></div>';
                }
            }
        });
    });

    // Radioimage.js
    $(".radio-image-wrapper label input").change(function(){
        var parent = $(this).parents(".radio-image-wrapper");
        var input = $(parent).find('.wpb_vc_param_value');
        $(input).val($(this).val());
    });

    // Slider.js
    $( '.slider-input-wrapper input[type=range]' ).on( 'mousedown', function() {
        var value = jQuery( this ).attr( 'value' );

        $( this ).mousemove( function() {
            value = $( this ).attr( 'value' );
            $( this ).closest( 'div' ).find( '.jnews_range_value .value' ).text( value );
        });
    });

    // File.js
    $(".input-uploadfile").each(function(){
        var element = this;
        var input = $(element).find('input[type="text"]');

        $(this).find('.selectfileimage').bind('click', function(e){
            e.preventDefault();

            //Extend the wp.media object
            var custom_uploader = wp.media.frames.file_frame = wp.media({
                multiple: false
            });

            //When a file is selected, grab the URL and set it as the text field's value
            custom_uploader.on('select', function() {
                var attachment = custom_uploader.state().get('selection').first().toJSON();
                var url = attachment.url;
                input.val(url);
            });

            //Open the uploader dialog
            custom_uploader.open();
        });
    });

    // Sectionid.js
    $(".sectionid-input > input").blur(function(){
        var convertToSlug = function(Text){
            return Text.toLowerCase().replace(/ /g,'-').replace(/[^\w-]+/g,'');
        };

        var currentval = $(this).val();
        var slugversion = convertToSlug(currentval);
        $(this).val(slugversion);
    });

    // Select2.js
    function formatvc(state) {
        return "<i class='ivc fa " + state.id.toLowerCase() + "'/></i>" + state.text;
    }

    $(".sectionid-input > select").each(function(){
        $(this).select2({
            placeholder: "Select",
            allowClear: true,
            formatResult: formatvc,
            formatSelection: formatvc,
            escapeMarkup: function(m) { return m; }
        });
    });
}(window.jQuery);
