<?php
/**
 * create additional parameter
 * 1. Slider
 * 2. File Upload
 * 3. ID section
 * 4. Font Awesome
 */

// vc alert
function jeg_vc_alert($settings, $value)
{
    return
        "<div class=\"alert-wrapper\" data-field=\"{$settings['std']}\">
            <div class=\"vc-alert-element alert-{$settings['std']}\">
                <strong>{$settings['heading']}</strong>
                <div class=\"alert-description\">{$settings['description']}</div>
            </div>
        </div>";
}
vc_add_shortcode_param('alert' , 'jeg_vc_alert');

// number
function jeg_vc_multipost($settings, $value)
{

    $values = explode(',', $value);

    $options = array();
    foreach($values as $val) {
        $options[] = array(
            'value' => $val,
            'text' => get_the_title($val) . " [ ID : $val ]"
        );
    }

    $options = json_encode($options);

    return
    "<div class='multipost-input-wrapper'>
        <input name='{$settings['param_name']}' class='wpb_vc_param_value wpb-input input-sortable {$settings['param_name']} {$settings['type']}_field' type='text' value='{$value}'/>
        <div class=\"data-option\" style=\"display: none;\">
            {$options}
        </div>
    </div>";
}
vc_add_shortcode_param('multipost' , 'jeg_vc_multipost', JEG_PLUGIN_URL . '/assets/js/allscript.js');

// number
function jeg_vc_number($settings, $value)
{
    return
    "<div class='number-input-wrapper'>
        <input name='{$settings['param_name']}'
            class='wpb_vc_param_value wpb-input {$settings['param_name']} {$settings['type']}_field'
            type='text'
            min='{$settings['min']}'
            max='{$settings['max']}'
            step='{$settings['step']}'
            value='{$value}'/>
    </div>";
}
vc_add_shortcode_param('number' , 'jeg_vc_number', JEG_PLUGIN_URL . '/assets/js/allscript.js');

// checkblock
function jeg_vc_checkblock($setting, $value) {
    $option = '';
    $valuearr = explode(',',$value);

    $option .= "<input name='" . $setting['param_name'] . "' class='wpb_vc_param_value wpb-input " . $setting['param_name'] . " " . $setting['type'] . "_field' type='hidden' value='" . $value ."' />";
    foreach($setting['value'] as $key => $val) {
        $checked = in_array($val, $valuearr) ? "checked='checked'" : "";
        $option .= '<label><input ' . $checked .' class="checkblock" value="' . $val . '" type="checkbox">' . $key . '</label>';
    }

    return
        '<div class="wp-tab-panel vc_checkblock">
            <div>' . $option . '</div>
        </div>';
}
vc_add_shortcode_param('checkblock' , 'jeg_vc_checkblock', JEG_PLUGIN_URL . '/assets/js/allscript.js');


function jeg_vc_multiselect($settings, $value)
{
    $options = array();
    foreach($settings['value'] as $key => $val) {
        $options[] = array(
            'value'         => $val,
            'text'          => $key,
            'class'         => ''
        );
    }

    $options = json_encode($options);

    return
    "<div class='mulitselect-input'>
        <input name='{$settings['param_name']}'  type=\"text\" id=\"input-sortable\" class=\"input-sortable wpb_vc_param_value wpb-input{$settings['param_name']} {$settings['type']}_field\" value=\"{$value}\">
        <div class=\"data-option\" style=\"display: none;\">
            {$options}
        </div>
    </div>";
}
vc_add_shortcode_param('multiselect' , 'jeg_vc_multiselect', JEG_PLUGIN_URL . '/assets/js/allscript.js');


function jeg_vc_multi_category($settings, $value)
{
    $options = array();

    $categories = get_categories(array(
        'hide_empty' => false,
        'hierarchical' => true
    ));

    $walker = new Jeg_Plugin_Category_Walker();
    $walker->walk($categories, 3);

    foreach($walker->cache as $val)
    {
        $options[] = array(
            'value'     => $val['id'],
            'text'      => $val['title'],
            'class'     => 'indent_' . $val['depth']
        );
    }

    $options = json_encode($options);

    return
    "<div class='mulitselect-input'>
        <input name='{$settings['param_name']}'  type=\"text\" id=\"input-sortable\" class=\"input-sortable wpb_vc_param_value wpb-input{$settings['param_name']} {$settings['type']}_field\" value=\"{$value}\">
        <div class=\"data-option\" style=\"display: none;\">
            {$options}
        </div>
    </div>";
}
vc_add_shortcode_param('multicategory' , 'jeg_vc_multi_category', JEG_PLUGIN_URL . '/assets/js/allscript.js');


// radio image
function jeg_vc_radioimage($settings, $value)
{
    $radio_option = '';
    $radio_input = "<input type='hidden' name='{$settings['param_name']}' value='{$value}' class='wpb_vc_param_value wpb-input{$settings['param_name']}'/>";

    foreach($settings['value'] as $key => $val) {
        $checked = ( $value === $val ) ? "checked" : "";
        $radio_option .=
            "<label>
                <input {$checked} type='radio' name='{$settings['param_name']}_field' value='{$val}' class='{$settings['type']}_field'/>
                <img src='{$key}' class='wpb_vc_radio_image'/>
            </label>";
    }

    return
    "<div class='radio-image-wrapper'>
        {$radio_input}
        {$radio_option}
    </div>";
}
vc_add_shortcode_param('radioimage' , 'jeg_vc_radioimage', JEG_PLUGIN_URL . '/assets/js/allscript.js');


// slider
function jeg_vc_slider($settings, $value)
{
    return
    "<div class='slider-input-wrapper'>
        <input name='{$settings['param_name']}'
            class='wpb_vc_param_value wpb-input {$settings['param_name']} {$settings['type']}_field'
            type='range'
            min='{$settings['min']}'
            max='{$settings['max']}'
            step='{$settings['step']}'
            value='{$value}'
            data-reset_value='{$value}'/>
        <div class=\"jnews_range_value\">
            <span class=\"value\">{$value}</span>
        </div>
    </div>";
}

vc_add_shortcode_param('slider' , 'jeg_vc_slider', JEG_PLUGIN_URL . '/assets/js/allscript.js');

// attach_file
function jeg_vc_attach_file($settings, $value)
{
    return
        "<div class='input-uploadfile'>
        <input name='" . $settings['param_name'] . "' class='wpb_vc_param_value wpb-input" . $settings['param_name'] . " " . $settings['type'] . "_field' type='text' value='$value' />
        <div class='buttons'>
            <input type='button' value='Select File' class='selectfileimage btn'/>
        </div>
    </div>";
}

vc_add_shortcode_param('attach_file' , 'jeg_vc_attach_file', JEG_PLUGIN_URL . '/assets/js/allscript.js');

// sectionid
function jeg_vc_sectionid($settings, $value)
{
    return
        "<div class='sectionid-input'>
        <input name='" . $settings['param_name'] . "' class='wpb_vc_param_value wpb-input" . $settings['param_name'] . " " . $settings['type'] . "_field' type='text' value='$value' />
    </div>";
}

vc_add_shortcode_param('sectionid' , 'jeg_vc_sectionid', JEG_PLUGIN_URL . '/assets/js/allscript.js');


// fontawesome
function jeg_vc_fontawesome($settings, $value)
{
    $fontawesomelist = vp_get_fontawesome_icons();
    $fontlisttext = '';

    foreach($fontawesomelist as $fontid) {
        if($value == $fontid['value']) {
            $fontlisttext .= "<option selected value='{$fontid['value']}'>{$fontid['value']}</option>";
        } else {
            $fontlisttext .= "<option value='{$fontid['value']}'>{$fontid['value']}</option>";
        }
    }

    return
    "<div class='sectionid-input'>
        <select name='" . $settings['param_name'] . "' class='wpb_vc_param_value wpb-input" . $settings['param_name'] . " " . $settings['type'] . "_field'>
            " . $fontlisttext . "
        </select>
    </div>";
}

vc_add_shortcode_param('fontawesome' , 'jeg_vc_fontawesome', JEG_PLUGIN_URL . '/assets/js/allscript.js');
