<?php

Class Jeg_Plugin_Category_Walker extends Walker
{
    public $tree_type = 'category';
    public $db_fields = array ( 'parent' => 'parent', 'id' => 'term_id' );
    public $cache = array();

    public function start_el(&$output, $object, $depth = 0, $args = array(), $current_object_id = 0)
    {
        $cacheobj = array();
        $cacheobj['object'] = $object;
        $cacheobj['depth'] = $depth;
        $cacheobj['id'] = $object->term_id;
        $cacheobj['title'] = $object->name;
        $this->cache[] = $cacheobj;
    }
}

function jeg_vc_additional_element()
{
    if (class_exists('WPBakeryVisualComposerAbstract'))
    {
        require_once JEG_PLUGIN_DIR . 'vc/additional-element.php';
    }
}

function jeg_admin_script()
{
    wp_enqueue_style('global-admin', JEG_PLUGIN_URL . '/assets/css/admin.css');
    wp_enqueue_style('selectize', JEG_PLUGIN_URL . '/assets/css/selectize.default.css');
    wp_enqueue_style('select2', JEG_PLUGIN_URL . '/assets/css/select2.min.css');

    wp_enqueue_script('jquery-ui-spinner');
    wp_enqueue_script('selectize', JEG_PLUGIN_URL . '/assets/js/vendor/selectize.js');
    wp_enqueue_script('select2', JEG_PLUGIN_URL . '/framework/public/js/vendor/select2.min.js');
    wp_localize_script('selectize', 'selectize_admin', jeg_vc_localize_script());
}

function jeg_vc_localize_script()
{
    $option = array();
    $option['ajaxurl'] = admin_url( 'admin-ajax.php' );
    return $option;
}

add_action('admin_enqueue_scripts', 'jeg_admin_script');
add_action( 'init' ,  'jeg_vc_additional_element' , 98 );