<?php
/*
	Plugin Name: Photology Plugin
	Plugin URI: http://jegtheme.com/
	Description: Mandatory Plugin for Photology
	Version: 1.0.6
	Author: Agung Bayu Iswara
	Author URI: http://jegtheme.com
	License: GPL2
*/

defined( 'PHOTOLOGY_PLUGIN_VERSION' ) 	    or define( 'PHOTOLOGY_PLUGIN_VERSION', '1.0.6' );
defined( 'PHOTOLOGY_PLUGIN_URL' ) 		    or define( 'PHOTOLOGY_PLUGIN_URL', plugins_url('photology-plugin'));
defined( 'PHOTOLOGY_PLUGIN_FILE' ) 		    or define( 'PHOTOLOGY_PLUGIN_FILE',  __FILE__ );
defined( 'PHOTOLOGY_PLUGIN_DIR' ) 		    or define( 'PHOTOLOGY_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

function photology_plugin_load()
{
    if( defined('JEG_PLUGIN_VERSION') )
    {
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/plugin-helper.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/post-type.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/add-remove-widget.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/additional-widget.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/additional-filter.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/metabox-option.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/init-image.php';

        // admin panel
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/admin-helper.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/admin-panel.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/admin-option.php';

        // post type
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/post-type.php';

        // shortcode
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/shortcode.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/build-shortcode.php';
        require_once PHOTOLOGY_PLUGIN_DIR . '/lib/filter-shortcode.php';
    }
}

add_action('plugins_loaded', 'photology_plugin_load');

function photology_load_textdomain()
{
    $domain = 'photology-plugin';
    $jeg_lang_dir = dirname( plugin_basename( PHOTOLOGY_PLUGIN_FILE ) ) . '/lang/';

    // Traditional WordPress plugin locale filter
    $locale        = apply_filters( 'plugin_locale',  get_locale(), $domain );
    $mofile        = sprintf( '%1$s-%2$s.mo', $domain, $locale );

    // Setup paths to current locale file
    $mofile_local  = $jeg_lang_dir . $mofile;
    $mofile_global = WP_LANG_DIR . '/' . $domain . '/' . $mofile;


    if ( file_exists( $mofile_global ) )
    {
        load_textdomain( $domain, $mofile_global );
    } elseif ( file_exists( $mofile_local ) )
    {
        load_textdomain( $domain, $mofile_local );
    } else
    {
        load_plugin_textdomain( $domain, false, $jeg_lang_dir );
    }
}
add_action('init', 'photology_load_textdomain');

add_action( 'photology_post_share', function( $posttitle, $featured_img ) {
    ?>
    <div class="sharing-icons">
        <div class="sharing-icon sharing-facebook socials-share">
            <a data-shareto="Facebook" target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo wp_get_shortlink() ?>"><i class="fa fa-facebook"></i></a>
        </div>
        <div class="sharing-icon sharing-twitter socials-share">
            <a data-shareto="Twitter" target="_blank" href="https://twitter.com/home?status=<?php echo urlencode($posttitle . ". " . esc_url( wp_get_shortlink() )); ?>"><i class="fa fa-twitter"></i></a>
        </div>
        <div class="sharing-icon sharing-google socials-share">
            <a data-shareto="Google" target="_blank" href="https://plus.google.com/share?url=<?php echo wp_get_shortlink() ?>"><i class="fa fa-google"></i></a>
        </div>
        <div class="sharing-icon sharing-pinterest socials-share">
            <a data-shareto="Pinterest" target="_blank" href="https://pinterest.com/pin/create/button/?url=<?php echo wp_get_shortlink() ?>&amp;media=<?php echo esc_url( $featured_img ); ?>&amp;description=<?php echo urlencode( get_the_title() ); ?>"><i class="fa fa-pinterest"></i></a>
        </div>
        <div class="sharing-icon sharing-linkedin socials-share">
            <a data-shareto="Linkedin" target="_blank" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo wp_get_shortlink() ?>&amp;title=<?php echo urlencode( get_the_title() ) ?>&amp;summary=<?php echo urlencode( wp_strip_all_tags( get_the_excerpt() )) ?>&amp;source=<?php echo urlencode( get_bloginfo( 'name' ) ) ?>"><i class="fa fa-linkedin"></i></a>
        </div>
    </div>
    <?php
}, 10, 2 );

add_action( 'photology_portfolio_share', function() {
    ?>
    <div class="share-body">
        <div data-id="facebook" class="share-facebook">
            <div class="share-text"><?php esc_html_e('Share on Facebook', 'photology-themes') ?></div>
        </div>
        <div data-id="twitter" class="share-twitter">
            <div class="share-text"><?php esc_html_e('Tweet on Twitter', 'photology-themes') ?></div>
        </div>
        <div data-id="googleplus" class="share-googleplus">
            <div class="share-text"><?php esc_html_e('Share on Google Plus', 'photology-themes') ?></div>
        </div>
        <div data-id="pinterest" class="share-pinterest">
            <div class="share-text"><?php esc_html_e('Pin on Pinterest', 'photology-themes') ?></div>
        </div>
    </div>
    <?php
} );

if ( ! function_exists( 'jeg_remove_filters' ) ) {
	function jeg_remove_filters( $tag, $function_to_remove, $priority = 10 ) {
		remove_filter( $tag, $function_to_remove, $priority );
	}
}
